> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events

Fetch a list of all events on an Account, Subscription, Product, or Rate Plan.

## HTTP Request

`GET https://api.vindicia.com/events`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| limit | 20 | A limit on the number of objects to be returned, between 1 and 100. | No |
| starting\_after | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |
| account | none | The Account **id** or **vid** to filter Events by. | No |
| subscription | none | The Subscription **id** or **vid** to filter Events by. | No |
| product | none | The Product **id** or **vid** to filter Events by. | No |
| rate\_plan | none | The Rate Plan **id** or **vid** to filter Events by. | No |
| billed | none | Boolean to filter return by only Events with a *billing\_status* of `Billed` | No |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Events](Events), starting after the specified starting\_after Event (or ending before the specified ending\_before Event). Each entry in the array is a full Event object. If no more objects are available, the resulting array will be empty. This request should never throw an error.

A *list* of [Event](Events) objects matching the query. Also:

* “total\_count”: Integer count of the number of Event objects in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Event object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Event object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Return

```

{
  "object": "List",
  "data": [
    {
      "object": "Event",
      "id": "2d3dc066b8661d9d7035511b261c3cd8f19aec17",
      "vid": "2d3dc066b8661d9d7035511b261c3cd8f19aec17",
      "date_received": "2020-01-13T09:57:03-08:00",
      "event_date": "2020-01-13T00:00:00-08:00",
      "subscription_item": {
        "object": "SubscriptionItem",
        "vid": "65fc1b6a2988674411f46f309495012aec1bff67"
      },
      "account": {
        "object": "Account",
        "id": "Test Account 12",
        "vid": "a8bb62c9eb3032fd462b4c982f7aa962debd5b24"
      },
      "subscription": {
        "object": "Subscription",
        "id": "Hi 02",
        "vid": "42f130646772d5cb688c9d6262fd2365660eaa54"
      },
      "product": {
        "object": "Product",
        "id": "Basic $20 Product",
        "vid": "cf9d9ed3fc896487e20ce36b7e1d4b71bccc9e4f"
      },
      "billed_status": "Billed"
    },
    {
      "object": "Event",
      "id": "c720b8c1ae181e75a7574e4a05bd43b865c75a64",
      "vid": "c720b8c1ae181e75a7574e4a05bd43b865c75a64",
      "date_received": "2020-01-13T10:46:33-08:00",
      "event_date": "2020-01-13T00:00:00-08:00",
      "subscription_item": {
        "object": "SubscriptionItem",
        "vid": "a4293a900b5b8c96b2b02893595da153c1aba0cc"
      },
      "account": {
        "object": "Account",
        "id": "Test Account 15",
        "vid": "eead84014a7dce4121b5450d23067b0458f4fd59"
      },
      "subscription": {
        "object": "Subscription",
        "id": "Refund Me 05",
        "vid": "279ff7f98ac4a70bfcc1e5762f6badcadba15114"
      },
      "product": {
        "object": "Product",
        "id": "Basic $100 Product",
        "vid": "a0a793e4498f22a827599fdcce1832fd81b9e939"
      },
      "billed_status": "Billed"
    }
  ],
  "total_count": 2,
  "url": "/events",
  "next": "/events?starting_after=5484ec665b3bd4a707c486e1f5096ab7dcc94a68",
  "previous": "/events?ending_before=2d3dc066b8661d9d7035511b261c3cd8f19aec17"
}

```

**Parent topic:**[Events](../topics/Events)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.